#ifndef _V4L2_COMMON_H_
#define _V4L2_COMMON_H_

#include <linux/videodev2.h>

#ifdef HAL3_HWC_BUFFER
#else
#define V4L2_SLOT_COUNT 4
#endif

/**
 * VideoIn info
 */
struct vdIn {
    struct v4l2_capability cap;
    struct v4l2_format format;
    struct v4l2_buffer buf;
    struct v4l2_requestbuffers rb;

    bool isStreaming;
    bool isInited;
    int fps;

    int width;
    int height;
    int formatIn;
    // int framesizeIn;
    char devName[32];
#ifdef HAL3_HWC_BUFFER
#else
    void* mem[V4L2_SLOT_COUNT];
#endif
};

#endif // _V4L2_COMMON_H_
